# Copyright © VNG Realisatie 2022
# Licensed under the EUPL

version: "2"
sql:
  - engine: "postgresql"
    queries: "./"
    schema: "../migrations/sql"
    gen:
      go:
        package: "queries"
        sql_package: "pgx/v5"
        out: "."
        emit_prepared_queries: true
        emit_interface: false
        emit_exact_table_names: false
        emit_empty_slices: true
        emit_exported_queries: false
        emit_json_tags: false
        emit_result_struct_pointers: true
        emit_params_struct_pointers: true
        emit_methods_with_db_argument: false
